Bug 144596 - Multiple integer overflows
Summary: Multiple integer overflows
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imlib2 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-09 07:57 UTC by Michael Schwendt
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 19:56:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2005-01-09 07:57:36 UTC
Description of problem:
As seen on Bugtraq in Debian Security Advisory DSA 628-1 and Ubuntu
Security Notice USN-55-1, imlib2 is also affected by integer
overflows. DSA 628-1 mentions that "the unstable distribution (sid)
these problems will be fixed soon". Since it includes imlib2-1.1.2
just like Extras, I assume we are affected, too.


Version-Release number of selected component (if applicable):
imlib2-1.1.2-1

How reproducible:
Didn't try

Comment 1 Michael Schwendt 2005-01-09 08:14:00 UTC
http://security.ubuntu.com/ubuntu/pool/main/i/imlib2/

Comment 2 Thorsten Leemhuis 2005-01-09 17:29:36 UTC
Version 1.2.0 is out

http://sourceforge.net/mailarchive/forum.php?thread_id=6308603&forum_id=6427
"This release means there
 are no known security issues open for Imlib2."

I'm currently working on x86_64 fixes, will update to 1.2.0 while at it.


Comment 3 Thorsten Leemhuis 2005-01-09 19:06:06 UTC
Upate in Bug 143863, 
attachment (id=109538)


Note You need to log in before you can comment on or make changes to this bug.